Skip to content

Once you’ve retrieved the available workflow actions, use this request to retrieve the details for a specific workflow action.

GET/api/{version}/object/workflow/actions/{action}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
actionThe name of the workflow action. To get this value, Retrieve Bulk Workflow Actions.
curl -L -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v21.1/object/workflow/actions/cancelworkflows
{ "responseStatus": "SUCCESS", "data": { "name": "cancelworkflows", "controls": [ { "prompts": [ { "multi_value": true, "label": "Workflow Ids", "required": true, "name": "workflow_ids" } ], "type": "field", "label": "Fields" } ] } }

On SUCCESS, the response returns metadata for the specified workflow action, including the fields required to execute the action.

For each control, the following data may be returned:

NameDescription
labelUI label for the control.
typeType of control.
promptsThe input prompts which accept values when initiating a workflow action.

For each prompt, the following data may be returned: